%define	name	powertweak
%define	version	0.1.6
%define	release	1
%define	serial	1

Summary:	Powertweak - Tune system to optimal performance.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/System
URL:		http://linux.powertweak.com
Vendor:		Dave Jones <dave@powertweak.com>
Source:		%{name}-%{version}.tar.bz2
Patch:		powertweak-0.1.6-destdir.patch
ExclusiveArch:	i386
BuildRoot:	/var/tmp/%{name}-%{version}

Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
Powertweak is a utility for tweaking your Linux system to peak performance.
It can tune many parts of your system. Tunes PCI devices to use optimal
settings. Enables performance enhancing features of the CPU(s).

%prep
%setup -q
%patch -p1 -b .destdir

%build
cd lib
./configure --prefix=/usr %{version}
cd ..

make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/var/log/powertweak

make DESTDIR=$RPM_BUILD_ROOT install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc ChangeLog README Release-notes Documentation/*
/usr/sbin/powertweak
/usr/sbin/powertweak-config
/usr/man/man8/powertweak.8
/usr/share/powertweak
/var/log/powertweak

%changelog
* Sun Jan 16 2000 Ryan Weaver <ryanw@infohwy.com>
  [powertweak-0.1.6-1]
- Extra chipset support:
  - Intel TX tweaks extended
  - Intel LX support added
  - Intel BX support added
- Tuning of entries in /proc/sys

  [powertweak-0.1.5-1]
- Now includes pci.ids
  The new PCILIB is incompatable with old versions of pci database.
  This means that until PCILIB becomes a dynamic library, I'll have
  to start including it with Powertweak.
  This is the main reason that this release came out so soon, to
  stop people constantly mailing me to tell me about it!
- Some more VP3/MVP3 issues resolved courtesy of Richard Pruen.
- The GUI should now compile, and run on Alphas, Sparc's etc..

* Tue Jul 20 1999 Ryan Weaver <ryanw@infohwy.com>
  [powertweak-0.1.1-1]
- Initial RPM Build.

